Zum Inhalt

Create shippingAgent

Create a shippingAgent object in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST {businesscentralPrefix}/companies({id})/shippingAgentsWebCon

Request headers

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json

Request body

In the request body, supply a JSON representation of shippingAgentWebCon object.

Response

If successful, this method returns 201 Created response code and a shippingAgent object in the response body.

Example

Request

Here is an example of a request.

POST https://{businesscentralPrefix}/companies({id})/shippingAgentsWebCon
Content-type: application/json

{
    "code": "FLIP",
    "name": "Flip parcel"
}

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "5004585a-0448-ee11-a0d4-cf2cdd441e84",
    "code": "FLIP",
    "name": "Flip parcel"
}

See also

Tips for working with the APIs
shippingAgent
Get shippingAgent
Delete shippingAgent
Update shippingAgent